#target indesign

// Скрипт позволяет найти все текстовые якоря в документе и перейти к выбранному

function getCollectionNames(collection) {
    var result = [];
    for (var i = 0; i < collection.length; i++) {
        result.push(collection[i].name);
    };
    return result;
}

function main() {
    try {
        var doc = app.activeDocument;
    } catch (error) {
        alert('No document!');
        return false;
    }
    var textAnchors = doc.hyperlinkTextDestinations;
    var dialog = app.dialogs.add({name:'Find Text Anchors v. 0.1'});
    with (dialog.dialogColumns.add().borderPanels.add().dialogColumns.add()) {
        with (borderPanels.add().dialogColumns.add()) {
            var user_anchor = dialogRows.add().dropdowns.add({stringList:getCollectionNames(textAnchors), selectedIndex:0});
        }
        dialogRows.add().staticTexts.add({staticLabel: 'Oleg Butrin © 2013'})
    }
    if(!dialog.show()) {
        return false;
    };
    textAnchors[user_anchor.selectedIndex].showDestination();
}

main();